﻿@model IEnumerable<CarRental.Web.Areas.CarOwner.ViewModels.FeedBackViewModel>

@{
    ViewData["Title"] = "Report";
    Layout = "~/Areas/CarOwner/Views/Shared/_Layout.cshtml";
}
<div >
    <h1 class="mt-5">
        My Report
    </h1>
    <hr />
    <h2 class="mt-3">
        Average Rating: @if (@ViewBag.AverageRating != null)
        {
            @ViewBag.AverageRating
        }
    </h2>
    <div class="row mt-3">
        <div class="col-3"></div>
        <div class="col-1 text-center">
            <a class="btn btn-outline-dark px-3 py-2" asp-action="Report" asp-route-filter="All">All</a>
        </div>
        <div class="col-1 text-center">
            <a class="btn btn-outline-dark fa fa-star checked" asp-action="Report" asp-route-filter="5">5</a>
        </div>
        <div class="col-1 text-center">
            <a class="btn btn-outline-dark fa fa-star checked" asp-action="Report" asp-route-filter="4">4</a>
        </div>
        <div class="col-1 text-center">
            <a class="btn btn-outline-dark fa fa-star checked" asp-action="Report" asp-route-filter="3">3</a>
        </div>
        <div class="col-1 text-center">
        <a class="btn btn-outline-dark fa fa-star checked" asp-action="Report" asp-route-filter="2">2</a>
        </div>
        <div class="col-1 text-center">
            <a class="btn btn-outline-dark fa fa-star checked" asp-action="Report" asp-route-filter="1">1</a>
        </div>
        <div class="col-3"></div>
    </div>

</div>

<section>
    <hr />
    @if (Model.Count() == 0)
    {

        <h3>Do not have any feedback @ViewBag.Filter stars</h3>
        <hr />
    }
    else
    {
        @foreach (var item in Model)
        {
            <div class="row mb-3">
                <div class="col-6">
                    <span class="fw-bold">@item.Booking.Account?.FullName</span>
                </div>
                <div class="col-6 text-end">
                    Rate: @item.Ratings <span class="fa fa-star checked"></span>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-8">
                    @item.Content
                </div>
            </div>

            <div class="row">
                <div class="col-3">
                    <img src="@Url.Content(item.CarImage)" class="d-block w-100 rounded-2">
                </div>
                <div class="col-6 fw-bold">
                    <p>From: @item.Booking.StartDateTime</p>
                    <p>To: @item.Booking.EndDateTime</p>
                </div>
            </div>
            <hr />
        }
    }
</section>
@section Css {
    <style>
        .checked {
            color: orange;
        }
    </style>
}